Bug 29091 - Correct display of lists and tags on search results
Summary: Correct display of lists and tags on search results
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-23 11:53 UTC by Owen Leonard
Modified: 2021-10-26 00:38 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05,20.11.11


Attachments
Screenshot showing the display problem (34.06 KB, image/png)
2021-09-23 12:13 UTC, Owen Leonard
Details
Bug 29091: Correct display of lists and tags on search results (1.42 KB, patch)
2021-09-23 12:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29091: Correct display of lists and tags on search results (1.48 KB, patch)
2021-09-24 20:35 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 29091: Correct display of lists and tags on search results (1.54 KB, patch)
2021-09-26 13:50 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-09-23 11:53:39 UTC
The list of tags and lists on the OPAC search results page inherits margins and padding that isn't correct for this area. A small change to the SCSS will correct it.
Comment 1 Owen Leonard 2021-09-23 12:13:46 UTC
Created attachment 125187 [details]
Screenshot showing the display problem
Comment 2 Owen Leonard 2021-09-23 12:16:01 UTC Comment hidden (obsolete)
Comment 3 Fridolin Somers 2021-09-24 20:35:07 UTC Comment hidden (obsolete)
Comment 4 Fridolin Somers 2021-09-24 20:36:44 UTC
I've also tested display in lists.
"Tags:" diplay is corrected.
Comment 5 Katrin Fischer 2021-09-26 13:50:03 UTC
Created attachment 125335 [details] [review]
Bug 29091: Correct display of lists and tags on search results

This patch makes a minor change to CSS to fix the display of tags and
lists on the OPAC search results page so that the list doesn't have
extra padding.

To test, apply the patch and rebuild the OPAC SCSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- To test you should be able to perform a catalog search in the OPAC
  which will return results which have one or more tags and which are on
  one or more lists.
- In the OPAC search results, confirm that there isn't extra padding
  between the "Tags:" and "Lists:" labels and their values.

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2021-09-28 13:40:21 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 7 Kyle M Hall 2021-10-08 13:24:18 UTC
Pushed to 21.05.x for 21.05.05
Comment 8 Fridolin Somers 2021-10-21 03:52:41 UTC
Pushed to 20.11.x for 20.11.11
Comment 9 Victor Grousset/tuxayo 2021-10-26 00:38:47 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.